# Coriolis Core (CRL) Documentation

Public Member Functions | Static Public Member Functions | List of all members
CRL::ToolEngine Class Referenceabstract

Base Class of all Coriolis Tools. More...

Inherits Hurricane::DBo.

## Public Member Functions
virtual const Name & | getName () const =0

## Static Public Member Functions
static ToolEngines | get (const Cell *cell)
static ToolEngine * | get (const Cell *cell, const Name &name)
static void | destroyAll ()

## Detailed Description

Base Class of all Coriolis Tools.

ToolEngine is the base class of all tools for coriolis, used for Mauka, Knik, Kite, ...

Provides the basic mechanism for finding a tool and hooking it through a relation on a Cell.

## Member Function Documentation

## ◆ get() [1/2]

ToolEngines CRL::ToolEngine::get | ( | const Cell * | cell | ) |
| static

Returns: The Collection of all ToolEngines hooked `cell`.

## ◆ get() [2/2]

ToolEngine * CRL::ToolEngine::get | ( | const Cell * | cell,
|  | const Name & | name
| ) |  |
| static

Returns: The ToolEngine of type `name` hooked `cell` (`NULL` if not present).

## ◆ destroyAll()

void CRL::ToolEngine::destroyAll | ( |  | ) |
| static

Destroy all the ToolEngines that have been created. Should be called only in prelude to database destruction.

## ◆ getName()

const Hurricane::Name & CRL::ToolEngine::getName | ( |  | ) | const
| pure virtual

Returns: The name of the ToolEngine. This is pure virtual function to be overloaded in concrete tools. Each ToolEngine must return an unique identifier.

The documentation for this class was generated from the following files:

- ToolEngine.h
- ToolEngine.dox

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved